Description: Pour mes besoins j'ai utilisé une version d'’AMC directement extraite a partir de subversion. Maintenant que

MacPort est a jour avec la version 1.2.1 d'AMC, il serait possible d'ajouter un port
"auto-multiple-choice-devel" distinct du port "auto-multiple-choice" qui serait basé sur une version plus récente
d'AMC.

L'avantage d'un tel port est de pouvoir bénéficier de fonctionnalités ou corrections qui ne sont pas encore
disponibles dans une version stable.

L'inconvénient est qu'il faut bien sir suivre I'évolution d'AMC et de faire réguliérement évoluer le port en
conséquence.

Il'y a aussi la possibilité de se créer son propre port en local comme cela est documenté dans le wiki
(documentation que je dois actualiser).

Qu'en pensez vous ?

History

10/05/2013 02:32 pm - Alexis Bienvenlie

Mon avis n'est pas forcément utile car je n'utilise pas MacOSX.

Je pense que garder un port _devel_ a jour sera difficile, d'autant plus que vous ne maitrisez pas toute la chaine.

Une altervative possible :

# Mettre a disposition un fichier @port@ qui se base sur une révision SVN explicite d'AMC, que vous mettez a jour au gré de vos envies.

** dans la partie _documents__ de ce site (encore inutilisée).

** avec un systéme de version comme mercurial ou git, hébergé par un site gratuit comme il en existe plein.

** directement dans les sources d'AMC (envoyez-moi un courriel si cette solution vous intéresse).

# Ecrire une petite page wiki pour expliquer son existence et son utilisation (en se reposant éventuellement fortement sur une page du site de
MacPorts).

10/07/2013 09:24 am - Joél Brogniart

Bon, j'abandonne I'idée d'un port auto-multiple-choice-devel sur MacPorts.

Le wiki contient déja une page qui décrit I'installation d'un tel port et le fichier de port correspondant : [[Installation de la version de développement
d'AMC sous OS X]]. Il faut juste que je mette a jour la page avec les derniéres informations.

08/31/2014 07:29 pm - Alexis Bienveniie

- % Done changed from 0 to 100

- Status changed from New to Closed
